libopkg: pkg_hash: print unresolved dependencies master
authorHauke Mehrtens <hauke@hauke-m.de>
Sun, 2 May 2021 20:46:02 +0000 (22:46 +0200)
committerHauke Mehrtens <hauke@hauke-m.de>
Sun, 13 Jun 2021 21:27:37 +0000 (23:27 +0200)
commit1bf042dd06751b693a8544d2317e5b969d666b69
treec8053e7875cbb2344c6d1ae8f157a88887028d1c
parent5936c4f9660248284e8a9b040ea3153d3ea888de
libopkg: pkg_hash: print unresolved dependencies

When a package is not installed because it has unresolved dependencies
normally we get only an error message like this:
 * pkg_hash_fetch_best_installation_candidate: Packages for ltq-vdsl-app found, but incompatible with the architectures configured
 * opkg_install_cmd: Cannot install package ltq-vdsl-app.

Log in addition the following error message:
 * pkg_hash_check_unresolved: cannot find dependency ltq-dsl-base for ltq-vdsl-app

Fixes: FS#3814
Signed-off-by: Hauke Mehrtens <hauke@hauke-m.de>
libopkg/pkg_hash.c